#include "defs.h"

#define ToUpper(c) ( ( (c) >= 'a' AND (c) <= 'z') ? (c)+('A'-'a') : (c) )
#define ToLower(c) (((c) >= 'A' AND (c) <= 'Z') ? (c)+('a'-'A') : (c))

int strcmp(char *a, char *b)
{
	int Cmp = -1;
	if (a AND b)
	{
		for (Cmp = 0; *a AND *b AND Cmp == 0; )
		{
			Cmp += *a++ - *b++;
		}
	}
	
	return Cmp;	
}

int stricmp(char *a, char *b)
{
	int Cmp = -1;
	if (a AND b)
	{
		for (Cmp = 0; *a AND *b AND Cmp == 0; )
		{
			Cmp += ToLower(*a++) - ToLower(*b++);
		}
	}
	
	return Cmp;
}

int strincmp(char *a, char *b, int i)
{
	int Cmp = -1;
	if (a AND b AND i > 0)
	{
		for (Cmp = 0; i-- AND *a AND *b AND Cmp == 0; )
		{
			Cmp += ToLower(*a++) - ToLower(*b++);
		}
	}
	
	return Cmp;
}

#ifdef BEOS
void strupr(char *a)
{
	for (; a AND *a; a++)
	{
		*a = ToUpper(*a);
	}
}
#endif

